// Code generated by protoc-gen-go. DO NOT EDIT.
// source: common.proto

package movies

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type ErrorResponse struct {
	Status               int32    `protobuf:"varint,1,opt,name=status,proto3" json:"status,omitempty"`
	HttpStatus           int32    `protobuf:"varint,2,opt,name=http_status,json=httpStatus,proto3" json:"http_status,omitempty"`
	Errors               string   `protobuf:"bytes,3,opt,name=errors,proto3" json:"errors,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ErrorResponse) Reset()         { *m = ErrorResponse{} }
func (m *ErrorResponse) String() string { return proto.CompactTextString(m) }
func (*ErrorResponse) ProtoMessage()    {}
func (*ErrorResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_555bd8c177793206, []int{0}
}

func (m *ErrorResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ErrorResponse.Unmarshal(m, b)
}
func (m *ErrorResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ErrorResponse.Marshal(b, m, deterministic)
}
func (m *ErrorResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ErrorResponse.Merge(m, src)
}
func (m *ErrorResponse) XXX_Size() int {
	return xxx_messageInfo_ErrorResponse.Size(m)
}
func (m *ErrorResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ErrorResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ErrorResponse proto.InternalMessageInfo

func (m *ErrorResponse) GetStatus() int32 {
	if m != nil {
		return m.Status
	}
	return 0
}

func (m *ErrorResponse) GetHttpStatus() int32 {
	if m != nil {
		return m.HttpStatus
	}
	return 0
}

func (m *ErrorResponse) GetErrors() string {
	if m != nil {
		return m.Errors
	}
	return ""
}

type PaginationData struct {
	Page                 int32    `protobuf:"varint,1,opt,name=page,proto3" json:"page,omitempty"`
	TotalPage            int32    `protobuf:"varint,2,opt,name=total_page,json=totalPage,proto3" json:"total_page,omitempty"`
	TotalData            int32    `protobuf:"varint,3,opt,name=total_data,json=totalData,proto3" json:"total_data,omitempty"`
	PerPage              int32    `protobuf:"varint,4,opt,name=per_page,json=perPage,proto3" json:"per_page,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PaginationData) Reset()         { *m = PaginationData{} }
func (m *PaginationData) String() string { return proto.CompactTextString(m) }
func (*PaginationData) ProtoMessage()    {}
func (*PaginationData) Descriptor() ([]byte, []int) {
	return fileDescriptor_555bd8c177793206, []int{1}
}

func (m *PaginationData) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PaginationData.Unmarshal(m, b)
}
func (m *PaginationData) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PaginationData.Marshal(b, m, deterministic)
}
func (m *PaginationData) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PaginationData.Merge(m, src)
}
func (m *PaginationData) XXX_Size() int {
	return xxx_messageInfo_PaginationData.Size(m)
}
func (m *PaginationData) XXX_DiscardUnknown() {
	xxx_messageInfo_PaginationData.DiscardUnknown(m)
}

var xxx_messageInfo_PaginationData proto.InternalMessageInfo

func (m *PaginationData) GetPage() int32 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *PaginationData) GetTotalPage() int32 {
	if m != nil {
		return m.TotalPage
	}
	return 0
}

func (m *PaginationData) GetTotalData() int32 {
	if m != nil {
		return m.TotalData
	}
	return 0
}

func (m *PaginationData) GetPerPage() int32 {
	if m != nil {
		return m.PerPage
	}
	return 0
}

func init() {
	proto.RegisterType((*ErrorResponse)(nil), "movies.ErrorResponse")
	proto.RegisterType((*PaginationData)(nil), "movies.PaginationData")
}

func init() { proto.RegisterFile("common.proto", fileDescriptor_555bd8c177793206) }

var fileDescriptor_555bd8c177793206 = []byte{
	// 194 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x8f, 0xbd, 0x8e, 0xc2, 0x30,
	0x10, 0x84, 0x95, 0xbb, 0x9c, 0xef, 0xb2, 0xf7, 0x53, 0xb8, 0x88, 0x72, 0x05, 0x22, 0x4a, 0x95,
	0x8a, 0x86, 0x57, 0x80, 0x3e, 0x0a, 0x0f, 0x10, 0x16, 0xb0, 0x42, 0x24, 0xe2, 0xb5, 0xec, 0x85,
	0x8e, 0x77, 0x47, 0xd9, 0x98, 0x82, 0xce, 0x33, 0x9f, 0x67, 0x46, 0x0b, 0x3f, 0x47, 0x1a, 0x47,
	0xb2, 0x2b, 0xe7, 0x89, 0x49, 0xab, 0x91, 0x6e, 0x83, 0x09, 0xd5, 0x1e, 0x7e, 0xb7, 0xde, 0x93,
	0x6f, 0x4d, 0x70, 0x64, 0x83, 0xd1, 0x39, 0xa8, 0xc0, 0xc8, 0xd7, 0x50, 0x24, 0x65, 0x52, 0x7f,
	0xb4, 0x51, 0xe9, 0x25, 0x7c, 0x9f, 0x99, 0x5d, 0x17, 0xe1, 0x9b, 0x40, 0x98, 0xac, 0xdd, 0xfc,
	0x21, 0x07, 0x65, 0xa6, 0xa6, 0x50, 0xbc, 0x97, 0x49, 0x9d, 0xb5, 0x51, 0x55, 0x77, 0xf8, 0x6b,
	0xb0, 0x1f, 0x2c, 0xf2, 0x40, 0x76, 0x83, 0x8c, 0x5a, 0x43, 0xea, 0xb0, 0x37, 0x71, 0x40, 0xde,
	0x7a, 0x01, 0xc0, 0xc4, 0x78, 0xe9, 0x84, 0xcc, 0xed, 0x99, 0x38, 0xcd, 0x0b, 0x3e, 0x21, 0xa3,
	0x0c, 0x3c, 0xb1, 0x34, 0xfe, 0xc3, 0x97, 0x33, 0x7e, 0xce, 0xa6, 0x02, 0x3f, 0x9d, 0xf1, 0x53,
	0xf2, 0xa0, 0xe4, 0xde, 0xf5, 0x23, 0x00, 0x00, 0xff, 0xff, 0x9c, 0xaf, 0xf5, 0xdc, 0xff, 0x00,
	0x00, 0x00,
}
